Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List Skill Versions

GET
/skills/{skill_id}/versions

List skill versions for a skill.

Path Parameters
skill_id: string

The identifier of the skill.

Query Parameters
after: optional string

The skill version ID to start after.

limit: optional integer

Number of versions to retrieve.

minimum0
maximum100
order: optional "asc" or "desc"

Sort order of results by version number.

One of the following:
"asc"
"desc"
Returns
SkillVersionList object { data, first_id, has_more, 2 more }
data: array of SkillVersion { id, created_at, description, 4 more }

A list of items

id: string

Unique identifier for the skill version.

created_at: integer

Unix timestamp (seconds) for when the version was created.

formatunixtime
description: string

Description of the skill version.

name: string

Name of the skill version.

object: "skill.version" (default: "skill.version")

The object type, which is skill.version.

skill_id: string

Identifier of the skill for this version.

version: string

Version number for this skill.

first_id: string or null

The ID of the first item in the list.

has_more: boolean

Whether there are more items available.

last_id: string or null

The ID of the last item in the list.

object: "list" (default: "list")

The type of object returned, must be list.

List Skill Versions

curl https://api.openai.com/v1/skills/$SKILL_ID/versions \
    -H "Authorization: Bearer $OPENAI_API_KEY"
200 — Example
{
  "data": [
    {
      "id": "id",
      "created_at": 0,
      "description": "description",
      "name": "name",
      "object": "skill.version",
      "skill_id": "skill_id",
      "version": "version"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}
Returns Examples
200 — Example
{
  "data": [
    {
      "id": "id",
      "created_at": 0,
      "description": "description",
      "name": "name",
      "object": "skill.version",
      "skill_id": "skill_id",
      "version": "version"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}